<?php
define('PROTECTOR', 1);


include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
if($instalscript=='upgrade'){
$header=TRUE;
}
elseif($instalscript=='bonus-yes'){
$header=TRUE;
}else{
$textl='Постройки банды';
}
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if(empty($udata['clan'])){
echo"Вы не состоите в банде";
include($path.'files/down.php');exit;
}

$lider = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `lider` = '".$log."' "));
$rti = rand(1,5);//рандом от 1 до 5 ниже инфа для каждого рандомного числа
if($rti==1){$rti = 'Каждая постройка дает уникальный бонус';}
if($rti==2){$rti = 'Строить или улучшать постройки может лидер банды';}
if($rti==3){$rti = 'Бонусы даются на время в зависимости от уровня постройки';}
if($rti==4){$rti = '5 уровень постройки дает бонус на 24 часа';}
if($rti==5){$rti = 'Постройки можно улучшить за средства из общака';}

$tip = htmlspecialchars(trim(stripslashes($_GET['tip'])));
$clan_1 = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `lider` = '".$udata['clan']."' "));
$build = mysql_fetch_array(mysql_query("SELECT * FROM `clan_buildings` WHERE `clan` = '".$clan_1['name']."' AND `tip`='".$tip."' "));
$my_bon = mysql_fetch_array(mysql_query("SELECT * FROM `clan_user_time` WHERE `user`='".$udata['usr']."' AND `tip`='".$tip."' "));


/*
УПРАВЛЕНИЕ СТОИМОСТЬЮ И ПРОЧИМ
$money это стоимость для следуещего уровня
$bon это бонус для следуещего уровня
$vdb это время действия бонуса в секундах для следуещего уровня
$building это название здания
*/

if($tip=='hpall'){$building = 'Кухня банды';
##БОНУС ЖИЗНИ НАЧАЛО##
if($bhpall['lvl']==0){$money = 10000;$bon = 100;$vdb = 5400;} //постройка здания
if($bhpall['lvl']==1){$money = 20000;$bon = 200;$vdb = 10800; }
if($bhpall['lvl']==2){$money = 30000;$bon = 300;$vdb = 21600; }
if($bhpall['lvl']==3){$money = 40000;$bon = 400; $vdb = 43200;}
if($bhpall['lvl']==4){$money = 50000;$bon = 500;$vdb = 86400; }//последний уровень
##БОНУС ЖИЗНИ КОНЕЦ##
}
if($tip=='mpall'){$building = 'Комната отдыха';
##БОНУС МАНА НАЧАЛО##
if($bmpall['lvl']==0){$money = 10000;$bon = 100;$vdb = 5400;} //постройка здания
if($bmpall['lvl']==1){$money = 20000;$bon = 200;$vdb = 10800;}
if($bmpall['lvl']==2){$money = 30000;$bon = 300;$vdb = 21600;}
if($bmpall['lvl']==3){$money = 40000;$bon = 400;$vdb = 43200;}
if($bmpall['lvl']==4){$money = 50000;$bon = 500;$vdb = 86400;} //последний уровень
##БОНУС МАНА КОНЕЦ##
}
if($tip=='sila'){$building = 'Качалка';
##БОНУС СИЛА НАЧАЛО##
if($bsila['lvl']==0){$money = 10000;$bon = 100;$vdb = 5400;} //постройка здания
if($bsila['lvl']==1){$money = 20000;$bon = 200;$vdb = 10800;}
if($bsila['lvl']==2){$money = 30000;$bon = 300;$vdb = 21600;}
if($bsila['lvl']==3){$money = 40000;$bon = 400;$vdb = 43200;}
if($bsila['lvl']==4){$money = 50000;$bon = 500;$vdb = 86400;} //последний уровень
##БОНУС СИЛА КОНЕЦ##
}
if($tip=='prot'){$building = 'Мини-ринг';
##БОНУС ЗАЩИТА НАЧАЛО##
if($bprot['lvl']==0){$money = 10000;$bon = 100;$vdb = 5400;} //постройка здания
if($bprot['lvl']==1){$money = 20000;$bon = 200;$vdb = 10800;}
if($bprot['lvl']==2){$money = 30000;$bon = 300;$vdb = 21600;}
if($bprot['lvl']==3){$money = 40000;$bon = 400;$vdb = 43200;}
if($bprot['lvl']==4){$money = 50000;$bon = 500;$vdb = 86400;}  //последний уровень
##БОНУС ЗАЩИТА КОНЕЦ##
}

##КОНФИГУРАЦИЯ ПОКУПКИ БОНУСА
##ПРИМЕР
## бонус здания умножить на $stoimost_bonusa   равно стоимоть бонуса
$stoimost_bonusa = 10;
$bonus = $build['bonus']*$stoimost_bonusa;
if(isSet($money)){
$almaz = $money/10;
}

switch($instalscript){
default:

echo '<div class="main"><div class="block_zero center"><span style="color: #9bc;">Постройки банды!</span></div><div class="mini-line"></div><div </div><div class="dot-line"></div><div class="block_zero">';

if(isSet($_GET['error']) OR isSet($_GET['bon'])){
if($_GET['error']==1){
$_SESSION['err'] = 'Нет такой Постройки!';
header('Location: clan-buildings.php?');exit();
}
if($_GET['error']==2){
$_SESSION['err'] = 'Бонус этой постройки уже активирован!';
header('Location: clan-buildings.php?');exit();
}
if($_GET['bon']=='yes'){
$_SESSION['message'] = 'Бонус активирован!';
header('Location: clan-buildings.php?');exit();
}
}
echo"<a href='/clan-buildings.php?instalscript=source-to&tip=hpall' ''><img class='float-left' src='/image/clan/hpall.png' width='50' height='50' style='margin-left:1px; margin-right:10px;' alt='*'></a><img src='image/icon/health.png'> Кухня<br/>";

if($bhpall!=0){
echo"<img src='image/icon/level.png'> Уровень: $bhpall[lvl]<br/>";
if($my_bon_hpall!=0){
$timer=$my_bon_hpall['time']-$time;
echo"<img src='image/icon/bonus.png'> Бонус: + <img src='image/icon/health.png'> $my_bon_hpall[bonus]";
echo'<span style="float: right;"><span style="color: #999;"><small>'.Sec2time($timer).'</small></span></span></br>';
}else{
echo"<img src='image/icon/bonus.png'> Бонус: не активирован";
}
}else{
echo"не построен</br></br>";
}

echo'</div><div class="dot-line"></div><div class="block_zero">';
echo"<a href='/clan-buildings.php?instalscript=source-to&tip=mpall' ''><img class='float-left' src='/image/clan/mpall.png' width='50' height='50' style='margin-left:1px; margin-right:10px;' alt='*'></a><img src='image/icon/mana.png'> Комната отдыха<br/>";

if($bmpall!=0){
echo"<img src='image/icon/level.png'> Уровень: $bmpall[lvl]<br/>";
if($my_bon_mpall!=0){
$timer=$my_bon_mpall['time']-$time;
echo"<img src='image/icon/bonus.png'> Бонус: + <img src='image/icon/mana.png'> $my_bon_mpall[bonus]";
echo'<span style="float: right;"><span style="color: #999;"><small>'.Sec2time($timer).'</small></span></span></br>';
}else{
echo"<img src='image/icon/bonus.png'> Бонус: не активирован";
}
}else{
echo"не построен</br></br>";
}

echo'</div><div class="dot-line"></div><div class="block_zero">';
echo"<a href='/clan-buildings.php?instalscript=source-to&tip=sila' ''><img class='float-left' src='/image/clan/sila.png' width='50' height='50' style='margin-left:1px; margin-right:10px;' alt='*'></a><img src='image/icon/str.png'> Качалка<br/>";

if($bsila!=0){
echo"<img src='image/icon/level.png'> Уровень: $bsila[lvl]<br/>";
if($my_bon_sila!=0){
$timer=$my_bon_sila['time']-$time;
echo"<img src='image/icon/bonus.png'> Бонус: + <img src='image/icon/str.png'> $my_bon_sila[bonus]";
echo'<span style="float: right;"><span style="color: #999;"><small>'.Sec2time($timer).'</small></span></span></br>';
}else{
echo"<img src='image/icon/bonus.png'> Бонус: не активирован";
}
}else{
echo"не построен</br></br>";
}

echo'</div><div class="dot-line"></div><div class="block_zero">';
echo"<a href='/clan-buildings.php?instalscript=source-to&tip=prot' ''><img class='float-left' src='/image/clan/prot.png' width='50' height='50' style='margin-left:1px; margin-right:10px;' alt='*'></a><img src='image/icon/def.png'> Мини-ринг</br>";

if($bprot!=0){
echo"<img src='image/icon/level.png'> Уровень: $bprot[lvl]<br/>";
if($my_bon_prot!=0){
$timer=$my_bon_prot['time']-$time;
echo"<img src='image/icon/bonus.png'> Бонус: + <img src='image/icon/def.png'> $my_bon_prot[bonus]";
echo'<span style="float: right;"><span style="color: #999;"><small>'.Sec2time($timer).'</small></span></span></br>';
}else{
echo"<img src='image/icon/bonus.png'> Бонус: не активирован";
}
}else{
echo"не построен</br></br>";
}

echo'</div><div class="mini-line"></div><div class="block_zero">';
echo"<ul class='hint'><li>$rti</li></ul>";
echo'</div></div></div>';
break;

//ЗДАНИЯ
case'source-to':
if($tip!='hpall' && $tip!='mpall' && $tip!='prot' &&  $tip!='sila'){
$_SESSION['err'] = 'Такой Постройки не существует!';
header('Location: clan-buildings.php?');exit();
}else{
echo'<div class="main"><div class="block_zero center"><h1 class="yellow">'.$building.'</h1></div><div class="mini-line"></div><div class="block_zero center">';
echo"<img src='/image/clan/$tip.png'>";
echo'</div><div class="dot-line"></div><div class="block_zero center">';
if(isSet($_GET['lvl'])){
if($_GET['lvl']=='creat'){
$_SESSION['message'] = 'Постройка готова!';
header('Location: clan-buildings.php?instalscript=source-to&tip='.$tip.'');exit();
}
if($_GET['lvl']=='up'){
$_SESSION['message'] = 'Постройка улучшена!';
header('Location: clan-buildings.php?instalscript=source-to&tip='.$tip.'');exit();
}
if($_GET['lvl']=='max'){
$_SESSION['message'] = 'У этой постройки максимальный уровень!';
header('Location: clan-buildings.php?instalscript=source-to&tip='.$tip.'');exit();
}
if($_GET['lvl']=='no-lider'){
$_SESSION['err'] = 'Вы не являетесь лидером банды!';
header('Location: clan-buildings.php?instalscript=source-to&tip='.$tip.'');exit();
}
if($_GET['lvl']=='no-money'){
$_SESSION['err'] = 'Не достаточно средств в общаке банды!';
header('Location: clan-buildings.php?instalscript=source-to&tip='.$tip.'');exit();
}
}
if($build['lvl']==0){
echo 'Постройка ещё не построена!';
}
elseif($build['lvl']==5){
echo"У этой Постройки максимальный уровень!</div><div class='dot-line'></div><div class='block_zero center'>Бонус: + <img src='image/clan/skill/$tip.png'> $build[bonus] на ".Sec2Time($build['timer'])." за <img src='image/icon/money.png' alt='*'> $bonus<div class='separ'></div><a href='clan-buildings.php?instalscript=bonus&tip=$tip'>";
echo'<span class="btn"><span class="end"><input class="label" type="submit" value="Активировать"></a>';
}else{
echo"<img src='image/icon/level.png'> Уровень: $build[lvl]</div><div class='dot-line'></div><div class='block_zero center'>Бонус: + <img src='image/clan/skill/$tip.png'> $build[bonus] на ".Sec2Time($build['timer'])." за <img src='image/icon/money.png' alt='*'> $bonus<div class='separ'></div><a href='clan-buildings.php?instalscript=bonus&tip=$tip'>";
echo'<span class="btn"><span class="end"><input class="label" type="submit" value="Активировать"></a>';
}
if($lider!=0 && !empty($udata['clan']) && $build['lvl']==0){
echo'</div><div class="dot-line"></div><div class="block_zero center">Постройка: <img src="image/icon/almaz.png" alt="*"> '.$almaz.' и <img src="image/icon/money.png" alt="*"> '.$money.'<div class="separ"></div>';
echo"<a href='/clan-buildings.php?instalscript=create&tip=$tip'>";
echo'<span class="btn"><span class="end"><input class="label" type="submit" value="Построить"></a>';
}

elseif($lider!=0 && !empty($udata['clan']) && $build['lvl']<5){
echo'</div><div class="mini-line"></div><div class="block_zero center">Улучшение: <img src="image/icon/almaz.png" alt="*"> '.$almaz.' и <img src="image/icon/money.png" alt="*"> '.$money.'<div class="separ"></div>';
echo"<a href='/clan-buildings.php?instalscript=upgrade&tip=$tip'>";
echo'<span class="btn"><span class="end"><input class="label" type="submit" value="Улучшить"></a>';
}
echo"</div><div class='mini-line'></div><div class='block_zero'><a href='/clan-buildings.php?'><img src='image/icon/arrow.png' alt='*'> Постройки банды</a>";
}
echo'</div></div>';
break;

//ПОТВЕРЖДЕНИЕ О ПОСТРОЙКИ АЛТАРЯ
case'create':
if($tip!='hpall' && $tip!='mpall' && $tip!='prot' &&  $tip!='sila'){
$_SESSION['err'] = 'Такой постройки не существует!';
header('Location: clan-buildings.php?');exit();
}else{
if($lider!=0){
if($build['lvl']==0){
header('Location: clan-buildings.php?instalscript=upgrade&tip='.$tip.'');exit();
}else{
$_SESSION['err'] = 'Такой постройки уже построен!';header('Location: clan-buildings.php?');exit();
}
}else{
$_SESSION['err'] = 'Вы не являетесь лидером банды!';
header('Location: clan-buildings.php?');exit();
}
}
break;

//УЛУЧШЕНИЕ ЗДАНИЯ
case'upgrade':
if($tip!='hpall' && $tip!='mpall' && $tip!='prot' &&  $tip!='sila'){
header ("Location: clan-buildings.php?error=1");exit;
}else{
if($lider!=0){
if($lider['money']<$money OR $lider['almaz']<$almaz){
header ("Location: clan-buildings.php?instalscript=source-to&tip=$tip&lvl=no-money");exit;
}else{
//ПОСТРОЙКА ЗДАНИЯ
if($build['lvl']==0){
mysql_query("INSERT INTO `clan_buildings` SET `tip` = '".$tip."',`lvl` = '1',`bonus` = '".$bon."',`clan` = '".$user_clan['name']."',`timer`='".$vdb."' ");mysql_query("UPDATE `clan` SET `money`='".($lider['money']-$money)."' WHERE `lider`='".$udata['usr']."' ");
mysql_query("UPDATE `clan` SET `almaz`='".($lider['almaz']-$almaz)."' WHERE `lider`='".$udata['usr']."' ");
header ("Location: /clan-buildings.php?instalscript=source-to&tip=$tip&lvl=creat");exit;
}
//УЛУЧШЕНИЕ ЗДАНИЯ
if($build['lvl']==5){
header ("Location: /clan-buildings.php?instalscript=source-to&tip=$tip&lvl=max");exit;
}
elseif($build['lvl']>0 && $build['lvl']<6){
mysql_query("UPDATE `clan_buildings` SET `lvl` = '".($build['lvl']+1)."',`bonus` = '".$bon."',`clan` = '".$user_clan['name']."',`timer`='".$vdb."' WHERE `tip` = '".$tip."'  ");
mysql_query("UPDATE `clan` SET `money`='".($lider['money']-$money)."' WHERE `lider`='".$udata['usr']."'  ");
mysql_query("UPDATE `clan` SET `almaz`='".($lider['almaz']-$almaz)."' WHERE `lider`='".$udata['usr']."'  ");
header ("Location: /clan-buildings.php?instalscript=source-to&tip=$tip&lvl=up");exit;
}
}
}else{
header ("Location: /clan-buildings.php?instalscript=source-to&tip=$tip&lvl=no-lider");exit;
}
}

break;
//БЕРЕМ БОНУС
case'bonus':
if($tip!='hpall' && $tip!='mpall' && $tip!='prot' &&  $tip!='sila'){
$_SESSION['err'] = 'Такой постройки не существует!';
header('Location: clan-buildings.php?');exit();
}else{
header('Location: clan-buildings.php?instalscript=bonus-yes&tip='.$tip.'');exit();
}
break;

case'bonus-yes':
if($my_bon!=0){
header ("Location: /clan-buildings.php?error=2");exit;
}//проверяем есть ли такой бонус
if($my_bon==0){
mysql_query("INSERT INTO `clan_user_time` SET `user` = '".$udata['usr']."',`clan` = '".$user_clan['name']."',`tip` = '".$tip."',`time` = '".(time()+$build['timer'])."',`bonus`='".$build['bonus']."' ");
mysql_query("UPDATE `users` SET `money`=`money`-'$bonus', `$tip`='".($udata[$tip]+$build['bonus'])."' WHERE `usr`='".$udata['usr']."'  ")or die(mysql_error());
if($tip=='hpall'){
mysql_query("UPDATE `users` SET `hp`='".($udata['hp']+$build['bonus'])."' WHERE `usr`='".$udata['usr']."'  ")or die(mysql_error());
}
if($tip=='mpall'){
mysql_query("UPDATE `users` SET `mp`='".($udata['mp']+$build['bonus'])."' WHERE `usr`='".$udata['usr']."'  ")or die(mysql_error());
}
header ("Location: /clan-buildings.php?bon=yes&tip=$tip");exit;
}
break;
}
include($path.'files/down.php');
?>